package cy.hexor.furumi.data.remote.model

import com.squareup.moshi.Json

data class LoginResponse(
    @param:Json(name = "user") val user: UserResponse,
    @param:Json(name = "tokens") val tokens: TokenResponse
)

data class UserResponse(
    @param:Json(name = "id") val id: Int,
    @param:Json(name = "name") val name: String,
    @param:Json(name = "role") val role: String
)

data class TokenResponse(
    @param:Json(name = "access_token") val accessToken: String,
    @param:Json(name = "refresh_token") val refreshToken: String,
    @param:Json(name = "token_type") val tokenType: String,
    @param:Json(name = "expires_in_seconds") val expiresInSeconds: Int
)

data class ErrorResponse(
    @param:Json(name = "error") val error: String
)
